using System;
using System.Collections.Generic;
using System.Text;
using Vevo.Shared.DataAccess.Implementation;

namespace Vevo.Shared.DataAccess
{
    public enum FlagFilter
    {
        ShowAll,
        ShowTrue,
        ShowFalse
    }


    public static class FlagFilterHelper
    {
        public static string CreateFlagFilterWithAnd(
            string fieldName,
            FlagFilter flagFilter )
        {
            switch (flagFilter)
            {
                case FlagFilter.ShowTrue:
                    return " AND " + fieldName + " = " + DbImplementation.Sql.CreateBoolText( true ) + " ";

                case FlagFilter.ShowFalse:
                    return " AND " + fieldName + " = " + DbImplementation.Sql.CreateBoolText( false ) + " ";

                default:
                    return String.Empty;
            }
        }

        public static string CreateFlagFilterWithWhere(
            string fieldName,
            FlagFilter flagFilter )
        {
            switch (flagFilter)
            {
                case FlagFilter.ShowTrue:
                    return " WHERE " + fieldName + " = " + DbImplementation.Sql.CreateBoolText( true ) + " ";

                case FlagFilter.ShowFalse:
                    return " WHERE " + fieldName + " = " + DbImplementation.Sql.CreateBoolText( false ) + " ";

                default:
                    return String.Empty;
            }
        }

    }
}
