﻿using System;
using System.Collections.Generic;
using System.Text;

using Vevo.Domain.Configurations;
using Vevo.Domain.Orders;

namespace Vevo.Domain.Payments
{
    public class CustomPrice
    {

        #region Private

        private decimal _defaultPrice = 0;
        private decimal _minimumPrice = 0;
        private string _productID = "0";
        private string _orderItemID = "0";
        private string _urlParameter = String.Empty;

        #endregion


        #region Constructors

        public CustomPrice()
        {
        }

        #endregion


        #region Public Properties

        //public static CustomPrice Null
        //{
        //    get { return NullGiftCertificate.Instance; }
        //}

        public virtual bool IsNull
        {
            get { return false; }
        }

        public string ProductID { get { return _productID; } set { _productID = value; } }
        public string OrderItemID { get { return _orderItemID; } set { _orderItemID = value; } }
        public decimal DefaultPrice { get { return _defaultPrice; } set { _defaultPrice = value; } }
        public decimal MinimumPrice { get { return _minimumPrice; } set { _minimumPrice = value; } }
        public string UrlParameter { get { return _urlParameter; } set { _urlParameter = value; } }

        #endregion


        #region Public Methods



        #endregion


        #region IClonable Members

        // Copy the whole aggregate (including locale)
        public object Clone()
        {
            CustomPrice newObject = (CustomPrice) MemberwiseClone();
            return newObject;
        }

        public CartItemCustomPrice CreateCartItemCustomPrice()
        {
            CartItemCustomPrice details = new CartItemCustomPrice( DefaultPrice, MinimumPrice );
            return details;
        }

        #endregion

    }
}
